## fontconfig 2.14.1

=== meson_options.txt ===
# Common feature options
option('doc', type : 'feature', value : 'auto', yield: true,
  description: 'Build documentation')
option('doc-txt', type: 'feature', value: 'auto')
option('doc-man', type: 'feature', value: 'auto')
option('doc-pdf', type: 'feature', value: 'auto')
option('doc-html', type: 'feature', value: 'auto')
option('nls', type : 'feature', value : 'auto', yield: true,
  description : 'Enable native language support (translations)')
option('tests', type : 'feature', value : 'auto', yield : true,
  description: 'Enable unit tests')
option('tools', type : 'feature', value : 'auto', yield : true,
  description: 'Build command-line tools (fc-list, fc-query, etc.)')
option('cache-build', type : 'feature', value : 'enabled',
  description: 'Run fc-cache on install')

# Defaults
option('default-hinting', type: 'combo', choices: ['none', 'slight', 'medium', 'full'], value: 'slight',
  description: 'Preferred hinting configuration')

option('default-fonts-dirs', type: 'array', value: ['yes'],
  description: 'Use fonts from DIR1,DIR2,... when config is busted (set to "yes" for generic system-specific defaults)')

option('additional-fonts-dirs', type: 'array', value: ['yes'],
  description: 'Find additional fonts in DIR1,DIR2,... (set to "yes" for generic system-specific defaults)')

# Configuration paths
option('cache-dir', type: 'string', value: 'default',
  description: 'Use DIR to store cache files (default=LOCALSTATEDIR/cache/fontconfig)')

option('template-dir', type: 'string', value: 'default',
  description: 'Use DIR to store the configuration template files (default=DATADIR/fontconfig/conf.avail)')

option('baseconfig-dir', type: 'string', value: 'default',
  description: 'Use DIR to store the base configuration files (default=SYSCONFDIR/fonts)')

option('config-dir', type: 'string', value: 'default',
  description: 'Use DIR to store active configuration files (default=BASECONFIGDIR/conf.d)')

option('xml-dir', type: 'string', value: 'default',
  description: 'Use DIR to store XML schema files (default=DATADIR/xml/fontconfig)')

=== debian/changelog ===
fontconfig (2.14.1-4) unstable; urgency=medium

  * Team upload.
  * Remove upstream supplied conf.d/10-sub-pixel-rgb.conf
    - handled by debconf in postinst (Closes: #1030000)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 31 Jan 2023 23:24:08 +0100

fontconfig (2.14.1-3) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/make-byteReverse-hidden.patch
    - hide byteReverse symbol (otherwise exported on big-endian)
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 13 Jan 2023 21:30:45 +0100

fontconfig (2.14.1-2) experimental; urgency=medium

  * Team upload.
  * Build-dep on python3

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 05 Jan 2023 10:51:49 +0100

fontconfig (2.14.1-1) experimental; urgency=medium

  * Team upload.

  [ Laurent Bigonville ]
  * debian/control.in: Switch dependencies from libfreetype6-dev to
    libfreetype-dev

  [ Fabian Greffrath ]
  * Update watch

  [ Andreas Henriksson ]
  * New upstream release. (Closes: #1006932, #1014545)
  * Drop patches now part of upstream release
    - 0001-fix-memory-leaks.patch
    - 0002-more-memory-leaks.patch
    - 0003-Set-name_mapping-to-NULL-after-freeing.patch
    - do_not_remove_uuid.patch
    - path_max.patch
  * Update debian/patches/02_indic_names.patch to apply
  * Add debian/patches/disable-crbug1004354.patch
  * Add 2 new symbols to debian/libfontconfig1.symbols
  * Drop obsolete fontconfig lintian override
  * Drop Joss from uploaders (Closes: #930172)

  [ Simon McVittie ]
  * fontconfig-config: Drop unnecessary ucf dependency (Closes: #915114)

  [ Helmut Grohne ]
  * support the noudeb build profile (Closes: #1024923)

  [ Camaleón ]
  * Update spanish debconf translation (Closes: #1026784)

  [ Adriano Rafael Gomes ]
  * Updated Brazilian Portuguese debconf translation (Closes: #972838)

  [ Joe Dalton ]
  * Updated Danish debconf translation (Closes: #923057)

  [ Andreas Henriksson ]
  * Update Swedish debconf translation

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 04 Jan 2023 23:39:57 +0100

fontconfig (2.13.1-4.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Make fontconfig-config arch:any. If one of the arch:any buildds is faster
    than the arch:all one, the new libfontconfig1 becomes uninstallable, and,
    because fontconfig indirectly build-depends on libfontconfig1, that
    situation can't fix itself. Turning fontconfig-config from arch:all to
    arch:any prevents this from happening. (closes: #960679)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 04 Sep 2022 18:37:48 +0200

fontconfig (2.13.1-4.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update patch from last upload with fixed uuid_generate_sha1() call

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 29 Jan 2022 17:05:46 +0100

fontconfig (2.13.1-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Make cache files reproducible if SOURCE_DATE_EPOCH is set (closes: #864082)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 12 Jan 2022 07:49:42 +0100

=== debian/control ===
Source: fontconfig
Section: fonts
Priority: optional
Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Keith Packard <keithp@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
Build-Depends: debhelper-compat (= 11),
               libfreetype-dev (>= 2.8.1),
               libexpat1-dev,
               uuid-dev,
               pkg-config,
               python3:any,
               gperf,
               po-debconf,
Build-Depends-Indep: docbook <!nodoc>,
                     docbook-utils <!nodoc>,
                     texlive-formats-extra <!nodoc>
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/freedesktop-team/fontconfig.git
Vcs-Browser: https://salsa.debian.org/freedesktop-team/fontconfig
Homepage: https://www.freedesktop.org/wiki/Software/fontconfig/

Package: fontconfig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fontconfig-config
Multi-Arch: foreign
Description: generic font configuration library - support binaries
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System. It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 Fontconfig is not a rasterization library, nor does it impose a
 particular rasterization library on the application. The X-specific
 library 'Xft' uses fontconfig along with freetype to specify and
 rasterize fonts.
 .
 This package contains a program to maintain the fontconfig cache
 (fc-cache), a sample program to list installed fonts (fc-list), a program
 to test the matching rules (fc-match) and a program to dump the binary
 cache files in string form (fc-cat). It no longer makes fonts managed by defoma
 available to fontconfig applications.

Package: fontconfig-config
Architecture: any
Depends: ${misc:Depends},
# Bitstream Vera and derivatives
         fonts-dejavu-core | ttf-bitstream-vera |
# clones of Arial, Times New Roman and Courier New
         fonts-liberation | fonts-liberation2 | fonts-croscore |
# clones of Helvetica, Times and Courier
         fonts-freefont-otf | fonts-freefont-ttf | fonts-urw-base35 | fonts-texgyre
Multi-Arch: foreign
Breaks: libfontconfig1 (<< 2.13.0)
Description: generic font configuration library - configuration
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System. It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 This package contains the configuration files and scripts for fontconfig.

Package: fontconfig-udeb
Section: debian-installer
Package-Type: udeb
Build-Profiles: <!noudeb>
Architecture: any
Depends: ${shlibs:Depends}
Description: generic font configuration library - minimal runtime
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System. It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 This package contains the minimal runtime library and configuration,
 only for use in the installation system.

Package: libfontconfig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libfontconfig1 (= ${binary:Version}),
         ${misc:Depends},
         libexpat1-dev,
         libfreetype-dev (>= 2.8.1),
         uuid-dev,
         pkg-config
Provides: libfontconfig1-dev (= ${source:Version})
Replaces: libfontconfig1-dev (<< 2.13.1-3)
Description: generic font configuration library - development
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System. It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 This package contains the static libraries and headers needed for the
 development of applications using fontconfig.

Package: libfontconfig1-dev
Section: oldlibs
Architecture: any
Multi-Arch: same
Depends: libfontconfig-dev (= ${binary:Version}),
         ${misc:Depends},
Description: generic font configuration library - dummy package
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System. It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 This is a transitional package for libfontconfig-dev. It can be safely
 uninstalled.

Package: libfontconfig1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, fontconfig-config (>= ${source:Version})
Breaks: xpdf (<= 3.03-11)
Provides: libfontconfig
Description: generic font configuration library - runtime
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System. It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 This package contains the runtime library needed to launch applications
 using fontconfig.

Package: libfontconfig-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Replaces: libfontconfig1-dev (<< 2.13.1-3)
Breaks: libfontconfig1-dev (<< 2.13.1-3)
Description: generic font configuration library - documentation
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System. It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 This package contains the documentation for fontconfig.

=== debian/rules ===
#!/usr/bin/make -f

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	BUILD_DOC := --disable-docs
else
	BUILD_DOC := --enable-docs
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-static $(BUILD_DOC) --with-add-fonts=/usr/local/share/fonts

override_dh_makeshlibs:
	dh_makeshlibs -plibfontconfig1 -V"libfontconfig1 (>= 2.13)" --add-udeb="fontconfig-udeb" -- -c4

override_dh_strip:
	dh_strip --dbgsym-migration='libfontconfig1-dbg (<< 2.12.1-0.1~)'

override_dh_clean:
	dh_clean
	chmod +w debian/po/*.po
	debconf-updatepo

execute_after_dh_install-arch:
	cd debian/fontconfig-config/usr/share/fontconfig/conf.avail && \
		mv 70-yes-bitmaps.conf 70-force-bitmaps.conf
	cp debian/70-yes-bitmaps.conf debian/fontconfig-config/usr/share/fontconfig/conf.avail/
	# Do not ship default conf files handled by debconf so the administrator can configure it.
	rm debian/fontconfig-config/etc/fonts/conf.d/10-hinting-slight.conf \
		debian/fontconfig-config/etc/fonts/conf.d/10-sub-pixel-rgb.conf

# one of the tests makes sure that the uuid changes, so we have to run tests
# without SOURCE_DATE_EPOCH set
override_dh_auto_test:
	env --unset=SOURCE_DATE_EPOCH dh_auto_test

=== debian/watch ===
version=4

https://www.freedesktop.org/software/fontconfig/release/fontconfig-@ANY_VERSION@@ARCHIVE_EXT@

## fontconfig 2.14.2

=== debian/changelog ===
fontconfig (2.14.2-6) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Move fonts-noto-core from being the first font option
  * Revert "Drop claim that DejaVu is Debian default"
  * Updated Turkish translation (closes: #1029686)
  * Updated Romanian translation (closes: #1031161)
  * Update Spanish translation (closes: #1051707)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 15 Sep 2023 00:05:41 +0200

fontconfig (2.14.2-5) unstable; urgency=medium

  * Team upload
  * Clean up fc*.sgml files generated during build (closes: #1044293)
  * Drop claim that DejaVu is Debian default (closes: #1042513)
  * Make configure files reflect upstream filename change
    (closes: #1050660)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 03 Sep 2023 18:49:22 +0200

fontconfig (2.14.2-4) unstable; urgency=medium

  * Team upload
  * Change the default monospcace font for latin scipts
    - Upstream‘s default monospace font for latin scripts is currently
      Noto Sans Mono, and that has been reflected in Debian since
      fontconfig 2.14.1-3. Due to some deficiencies in that font, we
      change it to the well established DejaVu Sans Mono. To cover
      situations when the fonts-dejavu-mono package is not installed,
      we put the Noto Mono font — included in the fonts-noto-mono
      package — as the second one in the list. (Closes: #1028897)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 20 Aug 2023 13:37:33 +0200

fontconfig (2.14.2-3) unstable; urgency=medium

  * Team upload
  * Add back debian/not-installed
    - Installing the libfontconfig.la file was not a good idea.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 11 Aug 2023 01:42:45 +0200

fontconfig (2.14.2-2) unstable; urgency=medium

  * Team upload
  * Install remaining files
    - The newly created debian/not-installed file dropped.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Thu, 10 Aug 2023 15:59:26 +0200

fontconfig (2.14.2-1) unstable; urgency=medium

  * Team upload.

  [ Gunnar Hjalmarsson ]
  * Add Noto to list of font package dependency options
  * New upstream release
  * Revert "Remove upstream supplied conf.d/10-sub-pixel-rgb.conf"
    - Upstream no longer creates that symlink by default.
  * Update debian/libfontconfig1.symbols
  * Bump Standards-Version to 4.6.2
  * Fixed some Lintian issues
    - This includes creating d/not-installed after having bumped
      debhelper-compat to 13. d/not-installed contains quite a few
      files, and should be reviewed later.
  * Delete obsolete entries in d/fontconfig-config.maintscript

  [ Fabian Greffrath ]
  * Remove ttf-bitstream-vera from fontconfig-config's alternative
    dependencies (Closes: #998284).
  * Remove fonts-liberation2, it is a transitional dummy package now
    (Closes: #1041263).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Thu, 10 Aug 2023 11:59:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Keith Packard <keithp@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                libfreetype-dev (>= 2.8.1),
                libexpat1-dev,
                uuid-dev,
@@ -15,7 +15,8 @@
 Build-Depends-Indep: docbook <!nodoc>,
                      docbook-utils <!nodoc>,
                      texlive-formats-extra <!nodoc>
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/freedesktop-team/fontconfig.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/fontconfig
 Homepage: https://www.freedesktop.org/wiki/Software/fontconfig/
@@ -44,12 +45,14 @@
 Package: fontconfig-config
 Architecture: any
 Depends: ${misc:Depends},
-# Bitstream Vera and derivatives
-         fonts-dejavu-core | ttf-bitstream-vera |
+# Bitstream Vera derivatives
+         fonts-dejavu-core |
 # clones of Arial, Times New Roman and Courier New
-         fonts-liberation | fonts-liberation2 | fonts-croscore |
+         fonts-liberation | fonts-croscore |
 # clones of Helvetica, Times and Courier
-         fonts-freefont-otf | fonts-freefont-ttf | fonts-urw-base35 | fonts-texgyre
+         fonts-freefont-otf | fonts-freefont-ttf | fonts-urw-base35 | fonts-texgyre |
+# "No Tofu" font families with large Unicode coverage
+         fonts-noto-core
 Multi-Arch: foreign
 Breaks: libfontconfig1 (<< 2.13.0)
 Description: generic font configuration library - configuration

=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,9 @@
 	cd debian/fontconfig-config/usr/share/fontconfig/conf.avail && \
 		mv 70-yes-bitmaps.conf 70-force-bitmaps.conf
 	cp debian/70-yes-bitmaps.conf debian/fontconfig-config/usr/share/fontconfig/conf.avail/
-	# Do not ship default conf files handled by debconf so the administrator can configure it.
-	rm debian/fontconfig-config/etc/fonts/conf.d/10-hinting-slight.conf \
-		debian/fontconfig-config/etc/fonts/conf.d/10-sub-pixel-rgb.conf
+	# Do not ship 10-hinting-slight.conf symlink by default, let debconf handle
+	# that so the administrator can configure it. Still default to slight hinting.
+	rm debian/fontconfig-config/etc/fonts/conf.d/10-hinting-slight.conf
 
 # one of the tests makes sure that the uuid changes, so we have to run tests
 # without SOURCE_DATE_EPOCH set

## fontconfig 2.15.0

=== debian/changelog ===
fontconfig (2.15.0-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Sourceful no-change upload for IEEE long double on ppc64el.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 11:23:02 +0200

fontconfig (2.15.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Carles Pina i Estany ]
  * Update po-debconf Catalan translation

  [ Boyuan Yang ]
  * debian/fontconfig-config.postrm: Also clean up the newly-added
    70-no-bitmaps-except-emoji.conf file on purge to fix piuparts errors.
    (Closes: #1072210) (MR: !14)

 -- Boyuan Yang <byang@debian.org>  Fri, 04 Apr 2025 09:33:10 -0400

fontconfig (2.15.0-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Use 'mkdir -p' in fontconfig-config.postinst to avoid package installation
    failure on minimal systems without a full directory tree. (Closes: #1100871)

 -- Luca Boccassi <bluca@debian.org>  Wed, 19 Mar 2025 19:50:15 +0000

fontconfig (2.15.0-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * /usr/local/share/fonts is owned by group:staff if
    /etc/staff-group-for-usr-local is present
    Closes: #962420

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 09 Mar 2025 20:04:42 +1100

fontconfig (2.15.0-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick patches to fix out of memory errors
    when current working directory is deleted (Closes: #1051683)
  * Remove obsolete unused manpages

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 15:50:14 -0900

fontconfig (2.15.0-1.1) unstable; urgency=high

  * Add fix-emoji-no-bitmap-font.patch and update
    debian/fontconfig-config.config to allow emoji font when no bitmap fonts
    are allowed (which has been Debian's default for many years)
    (Closes: #1064267) (LP: #2054924)

 -- Guido Berhoerster <guido+freiesoftware@berhoerster.name>  Fri, 08 Mar 2024 13:20:01 +0100

fontconfig (2.15.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add debian/upstream/metadata
  * Drop unused gbp.conf options
  * Drop obsolete dbgsym migration handling
  * Enable all hardening flags
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 17 Feb 2024 14:18:24 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libfreetype-dev (>= 2.8.1),
                libexpat1-dev,
                uuid-dev,
-               pkg-config,
+               pkgconf,
                python3:any,
                gperf,
                po-debconf,
@@ -87,7 +87,7 @@
          libexpat1-dev,
          libfreetype-dev (>= 2.8.1),
          uuid-dev,
-         pkg-config
+         pkgconf
 Provides: libfontconfig1-dev (= ${source:Version})
 Replaces: libfontconfig1-dev (<< 2.13.1-3)
 Description: generic font configuration library - development

## fontconfig 2.17.1

=== debian/changelog ===
fontconfig (2.17.1-5) unstable; urgency=medium

  * Team upload
  * d/rules, d/fontconfig-config.post*: Use dh_usrlocal.
    It's better if bugs like #962420, #1072210, #1100871, #1114975 can
    be resolved centrally by improving debhelper, rather than in each
    package that manages a /usr/local subdirectory.
  * d/p/bwrap-might-not-work.patch: Allow for bubblewrap failing in
    containers.
    This avoids a FTBFS in some non-minimal build environments.
    In a minimal build environment, normally the parts of the test that
    would use bwrap are skipped, but in a non-minimal environment it
    might be installed. (Helps: #1054888)
  * d/p/no-uuidgen.patch: Avoid needing a build-dependency on uuid-runtime.
    The upstream test suite requires uuidgen(1) from uuid-runtime if
    bwrap(1) is installed, but there's no real reason to need uuidgen:
    fontconfig already Build-Depends on python3, which can already
    generate UUIDs, and offers this as a command-line interface since
    3.12. (Closes: #1054888)

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Feb 2026 10:04:18 +0000

fontconfig (2.17.1-4) unstable; urgency=medium

  * Team upload
  * Merge NMUs from trixie and early forky development
    - Only make /usr/local/share/fonts 2755 root:staff if
      /etc/staff-group-for-usr-local is present.
      Thanks to Anibal Monsalve Salazar (Closes: #962420)
    - Use `mkdir -p` to create /usr/local/share if necessary.
      Thanks to Luca Boccassi (Closes: #1100871)
    - Clean up 70-no-bitmaps-except-emoji.conf on purge.
      Thanks to Kirill Rekhov and Boyuan Yang (Closes: #1072210)
  * Revert a metadata change made to tr.po in one of the NMUs, which
    doesn't look as though it was intended

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Feb 2026 17:11:41 +0000

fontconfig (2.17.1-3) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jan 2026 15:14:47 -0500

fontconfig (2.17.1-2) experimental; urgency=medium

  * Team upload
  * Make docbook and docbook-utils required Build-Depends (Closes: #1115959)
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 11 Jan 2026 16:03:28 -0500

fontconfig (2.17.1-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Update install files because developer documentation is now
    a single HTML file
  * debian/fontconfig-config.postinst: Don't fail if /usr/local/ is read-only
    (Closes: #1114975)
  * debian/libfontconfig1.symbols: Add new symbols
  * Remove 3 patches applied in new release
  * debian/watch: Convert to Version: 5 and watch for GitLab tags
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

  [ Carles Pina i Estany ]
  * Update po-debconf Catalan translation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Sep 2025 18:49:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: fontconfig
 Section: fonts
-Priority: optional
 Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Keith Packard <keithp@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
 Build-Depends: debhelper-compat (= 13),
+               docbook,
+               docbook-utils,
                libfreetype-dev (>= 2.8.1),
                libexpat1-dev,
                uuid-dev,
@@ -12,11 +13,8 @@
                python3:any,
                gperf,
                po-debconf,
-Build-Depends-Indep: docbook <!nodoc>,
-                     docbook-utils <!nodoc>,
-                     texlive-formats-extra <!nodoc>
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Build-Depends-Indep: texlive-formats-extra <!nodoc>
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/freedesktop-team/fontconfig.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/fontconfig
 Homepage: https://www.freedesktop.org/wiki/Software/fontconfig/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
 	BUILD_DOC := --disable-docs
@@ -13,13 +17,9 @@
 	dh_auto_configure -- --enable-static $(BUILD_DOC) --with-add-fonts=/usr/local/share/fonts
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibfontconfig1 -V"libfontconfig1 (>= 2.13)" --add-udeb="fontconfig-udeb" -- -c4
+	dh_makeshlibs --add-udeb="fontconfig-udeb"
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libfontconfig1-dbg (<< 2.12.1-0.1~)'
-
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	chmod +w debian/po/*.po
 	debconf-updatepo
 
@@ -30,6 +30,8 @@
 	# Do not ship 10-hinting-slight.conf symlink by default, let debconf handle
 	# that so the administrator can configure it. Still default to slight hinting.
 	rm debian/fontconfig-config/etc/fonts/conf.d/10-hinting-slight.conf
+	# For dh_usrlocal
+	install -d debian/fontconfig-config/usr/local/share/fonts
 
 # one of the tests makes sure that the uuid changes, so we have to run tests
 # without SOURCE_DATE_EPOCH set
